// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "prefab/Prefab.hpp"
#include "component/display/MeshRenderer.hpp"
#include "component/display/material/SimpleTexturedMaterial.hpp"

namespace Dawn {
  struct SimpleSpinningCube : public Prefab {
    public:
      std::shared_ptr<Mesh> mesh;
      std::shared_ptr<MeshRenderer> meshRenderer;
      std::shared_ptr<SimpleTexturedMaterial> material;
  };

  /**
   * Creates a simple spinning cube prefab on the scene.
   * 
   * @param s Scene to add the simple spinning cube to.
   * @return The simple spinning cube prefab.
   */
  struct SimpleSpinningCube createSimpleSpinningCube(Scene &s);
}