// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "prefab/Prefab.hpp"
#include "component/entity/Entity.hpp"
#include "component/display/MeshRenderer.hpp"
#include "component/display/material/SimpleTexturedMaterial.hpp"

namespace Dawn {
  struct TestEntityPrefab : public Prefab {
    public:
      std::shared_ptr<Entity> entity;
      std::shared_ptr<Mesh> mesh;
      std::shared_ptr<MeshRenderer> meshRenderer;
      std::shared_ptr<SimpleTexturedMaterial> material;
  };

  struct TestEntityPrefab createTestEntityPrefab(
    const std::shared_ptr<Map> map
  );
}